Exception when processing inbound standard messages occasionally

11/21/2014 11:13 PM - Luke Murphey

Status: In Progress Start date: 11/21/2014

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.10   

Description

From __process_InboundStandardInsteonMessage

2014-11-21 02:44:26,496 ERROR Exception occurred within the run loop

Traceback (most recent call last):

File "C:\Program Files\Splunk\etc\apps\insteon\bin\insteon_app\pytomation\pyinsteon.py", line 319, in run

callBack(firstByte + secondByte + remainingBytes)

File "C:\Program Files\Splunk\etc\apps\insteon\bin\insteon_app\pytomation\pyinsteon.py", line 795, in

__process_InboundStandardInsteonMessage

(insteonCommand, fromIdHigh, fromIdMid, fromIdLow, toIdHigh, toIdMid, toIdLow, messageFlags, command1, command2) =

struct.unpack('xBBBBBBBBBB', responseBytes)

error: unpack requires a string argument of length 11

History

#1 - 11/27/2014 05:39 AM - Luke Murphey

- Status changed from New to In Progress

#2 - 03/31/2015 06:32 AM - Luke Murphey

- Target version changed from 0.5 to 0.6

#3 - 04/11/2015 12:39 AM - Luke Murphey

- Target version changed from 0.6 to 0.9

#4 - 02/02/2016 03:15 AM - Luke Murphey

- Target version changed from 0.9 to 0.10

#5 - 11/25/2017 05:21 AM - Luke Murphey

Also seeing this one:

2017-11-24 17:22:04,930 ERROR Exception occurred within the run loop

Traceback (most recent call last):

  File "C:\Program Files\Splunk\etc\apps\insteon\bin\insteon_app\pytomation\pyinsteon.py", line 328, in run

    callBack(firstByte + secondByte + remainingBytes)

  File "C:\Program Files\Splunk\etc\apps\insteon\bin\insteon_app\pytomation\pyinsteon.py", line 913, in __proc

ess_InboundExtendedInsteonMessage

    (insteonCommand, fromIdHigh, fromIdMid, fromIdLow, toIdHigh, toIdMid, toIdLow, messageFlags, command1, com

mand2, data) = struct.unpack('xBBBBBBBBBB14s', responseBytes)

error: unpack requires a string argument of length 25
#6 - 11/25/2017 05:23 AM - Luke Murphey

See https://docs.python.org/2/library/struct.html

#7 - 11/25/2017 05:23 AM - Luke Murphey

These can be found with the following search:

index=_internal insteoncommand Exception occurred within the run loop sourcetype=insteon_plm_modular_input

#8 - 11/25/2017 05:28 AM - Luke Murphey

Length 11: __process_InboundX10Message

This is a modem command 52

Length 25: __process_InboundExtendedInsteonMessage

This is a modem command 51

#9 - 11/25/2017 05:32 AM - Luke Murphey

See http://cache.insteon.com/pdf/INSTEON_Modem_Developer%27s_Guide_20071012a.pdf
